OpenGL-2.9.2.0: A binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2002-2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.GL.PixelRectangles.PixelMap

Description

This module corresponds to a part of section 3.6.1 (Pixel Storage Modes) of the OpenGL 2.1 specs.

Synopsis

- data PixelMapTarget
  - = IToI
  - | SToS
  - | IToR
  - | IToG
  - | IToB
  - | IToA
  - | RToR
  - | GToG
  - | BToB
  - | AToA
- class Storable c => PixelMapComponent c
- class PixelMap m where
  - withNewPixelMap :: PixelMapComponent c => Int -> (Ptr c -> IO ()) -> IO (m c)
  - withPixelMap :: PixelMapComponent c => m c -> (Int -> Ptr c -> IO a) -> IO a
  - newPixelMap :: PixelMapComponent c => [c] -> IO (m c)
  - getPixelMapComponents :: PixelMapComponent c => m c -> IO [c]
- data GLpixelmap a
- maxPixelMapTable :: GettableStateVar GLsizei
- pixelMap :: (PixelMap m, PixelMapComponent c) => PixelMapTarget -> StateVar (m c)
- pixelMapIToRGBA :: PixelMapComponent c => StateVar [Color4 c]
- pixelMapRGBAToRGBA :: PixelMapComponent c => StateVar [Color4 c]

# Documentation

data PixelMapTarget

Constructors

IToI |
SToS |
IToR |
IToG |
IToB |
IToA |
RToR |
GToG |
BToB |
AToA |

Instances

Eq PixelMapTarget |
Ord PixelMapTarget |
Show PixelMapTarget |

class Storable c => PixelMapComponent c

Minimal complete definition

getPixelMapv, pixelMapv

Instances

PixelMapComponent GLushort |
PixelMapComponent GLuint |
PixelMapComponent GLfloat |

class PixelMap m where

Minimal complete definition

Nothing

Methods

withNewPixelMap :: PixelMapComponent c => Int -> (Ptr c -> IO ()) -> IO (m c)

withPixelMap :: PixelMapComponent c => m c -> (Int -> Ptr c -> IO a) -> IO a

newPixelMap :: PixelMapComponent c => [c] -> IO (m c)

getPixelMapComponents :: PixelMapComponent c => m c -> IO [c]

Instances

PixelMap GLpixelmap |

data GLpixelmap a

Instances

PixelMap GLpixelmap |
Eq (GLpixelmap a) |
Ord (GLpixelmap a) |
Show (GLpixelmap a) |

maxPixelMapTable :: GettableStateVar GLsizei

pixelMap :: (PixelMap m, PixelMapComponent c) => PixelMapTarget -> StateVar (m c)

pixelMapIToRGBA :: PixelMapComponent c => StateVar [Color4 c]

Convenience state variable

pixelMapRGBAToRGBA :: PixelMapComponent c => StateVar [Color4 c]

Convenience state variable